Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Interface AbstractPhysicalDevice.EPCglobalClass1Gen2TagProcessor

All Superinterfaces:
  AbstractPhysicalDevice.BankReadTagProcessor, AbstractPhysicalDevice.BankTagProcessor, AbstractPhysicalDevice.BankWriteTagProcessor, AbstractPhysicalDevice.EPCglobalTagProcessor, AbstractPhysicalDevice.EPCglobalTagReadProcessor, AbstractPhysicalDevice.EPCglobalTagWriteProcessor

Enclosing class:
  AbstractPhysicalDevice

    public static interface AbstractPhysicalDevice.EPCglobalClass1Gen2TagProcessor

extends AbstractPhysicalDevice.EPCglobalTagProcessor, AbstractPhysicalDevice.BankTagProcessor

`TagProcessors` should implement this interface if the device supports full EPCglobal Class 1 Gen 2 tag functionality.

Method Summary
`KillDeviceOpReport` | `kill(long[] killPassword)` Attempts to kill the tag using the provided kill password.
`LockDeviceOpReport` | `lock(long valueBits, long maskBits)` Performs a Gen2-specific lock operation on the associated tag.
`PasswordDeviceOpReport` | `secure(long[] accessPassword)` Provides an access password to shift the tag into the Gen2 "secured" state.

Methods inherited from interface com.connecterra.ale.reader.AbstractPhysicalDevice.EPCglobalTagReadProcessor
`readEPC`

Methods inherited from interface com.connecterra.ale.reader.AbstractPhysicalDevice.EPCglobalTagWriteProcessor
`writeEPC`

Methods inherited from interface com.connecterra.ale.reader.AbstractPhysicalDevice.BankReadTagProcessor
`readMemoryBank`

Methods inherited from interface com.connecterra.ale.reader.AbstractPhysicalDevice.BankWriteTagProcessor
`writeMemoryBank`

Method Detail

### secure

    PasswordDeviceOpReport secure(long[] accessPassword)
                                  throws IOException,
                                         AbstractPhysicalDevice.TagResultException

  Provides an access password to shift the tag into the Gen2 "secured" state. In many implementations, this simply stores the password for use in further commands.

  Parameters:
    `accessPassword` - the password provided as a long[]. This array can be of length 1 or 2, and the bottom 32 bits of the last element in the array represent the password.
  Returns:
    the opReport containing the result of the secure operation. In the case where a secure operation simply stores the password for use with future commands, this should report success.
  Throws:
    `IOException` - if there is an IO error attempting to communicate with the device
    `AbstractPhysicalDevice.TagResultException` - if there is an error using the password with the tag. This includes the access denied error, which should return `OpStatus.FAILED`. See `AbstractPhysicalDevice.TagResultException`.

### lock

    LockDeviceOpReport lock(long valueBits,
                            long maskBits)
                            throws IOException,
                                   AbstractPhysicalDevice.TagResultException

  Performs a Gen2-specific lock operation on the associated tag.

  Parameters:
    `valueBits` - a long value whose lower 10 bits contain the EPCglobal Class 1 Gen 2 lock value. See the RFTA Edge Server Programming Guide section on the lock opspec for more information.
    `maskBits` - a long value whose lower 10 bits contain the mask describing which bits of the lock value should be operated on.
  Returns:
    the opReport containing the result of the lock operation.
  Throws:
    `IOException` - if there is an IO error attempting to communicate with the device
    `AbstractPhysicalDevice.TagResultException` - if there is an error accessing the tag. This includes the access denied error, which should return `OpStatus.FAILED`. See `AbstractPhysicalDevice.TagResultException`.

### kill

    KillDeviceOpReport kill(long[] killPassword)
                            throws IOException,
                                   AbstractPhysicalDevice.TagResultException

  Attempts to kill the tag using the provided kill password.

  Parameters:
    `killPassword` - the password provided as a long[]. This array can be of length 1 or 2, and the bottom 32 bits of the last element in the array represent the password.
  Returns:
    the opReport containing the result of the kill operation.
  Throws:
    `IOException` - if there is an IO error attempting to communicate with the device
    `AbstractPhysicalDevice.TagResultException` - if there is an error killing the tag. This includes the access denied error, which should return `OpStatus.FAILED`. See `AbstractPhysicalDevice.TagResultException`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD